| NANO100_BSP V3.05.000 The Board Support Package for Nano100BN Series

Functions | Variables
usbd.c File Reference

NANO100 series USBD driver Sample file. More...

`#include <string.h>`
`#include "Nano100Series.h"`
Include dependency graph for usbd.c:

Go to the source code of this file.

## Functions
void | USBD_Open (S_USBD_INFO_T *param, CLASS_REQ pfnClassReq, SET_INTERFACE_REQ pfnSetInterface)
| USBD Initial, Enable clock and reset USB. More...
void | USBD_Start (void)
| USBD Start. More...
void | USBD_GetSetupPacket (uint8_t *buf)
| Get Setup Packet. More...
void | USBD_ProcessSetupPacket (void)
| Process Setup Packet. More...
void | USBD_GetDescriptor (void)
| Get Descriptor request. More...
void | USBD_StandardRequest (void)
| Process USB standard request. More...
void | USBD_PrepareCtrlIn (uint8_t *pu8Buf, uint32_t u32Size)
| Prepare Control IN transaction. More...
void | USBD_CtrlIn (void)
| Start Control IN transfer. More...
void | USBD_PrepareCtrlOut (uint8_t *pu8Buf, uint32_t u32Size)
| Prepare Control OUT transaction. More...
void | USBD_CtrlOut (void)
| Start Control OUT transfer. More...
void | USBD_SwReset (void)
| Clear all software flags. More...
void | USBD_SetVendorRequest (VENDOR_REQ pfnVendorReq)
| USBD Set Vendor Request. More...
void | USBD_SetConfigCallback (SET_CONFIG_CB pfnSetConfigCallback)
| The callback function which called when get SET CONFIGURATION request. More...
void | USBD_LockEpStall (uint32_t u32EpBitmap)

## Variables
uint8_t | g_usbd_SetupPacket [8] = {0}
volatile uint8_t | g_usbd_RemoteWakeupEn = 0
S_USBD_INFO_T * | g_usbd_sInfo
VENDOR_REQ | g_usbd_pfnVendorRequest = NULL
CLASS_REQ | g_usbd_pfnClassRequest = NULL
SET_INTERFACE_REQ | g_usbd_pfnSetInterface = NULL
SET_CONFIG_CB | g_usbd_pfnSetConfigCallback = NULL
uint32_t | g_u32EpStallLock = 0

## Detailed Description

NANO100 series USBD driver Sample file.

Version
  2.0.0

Date
  20, September, 2014

Note
  SPDX-License-Identifier: Apache-2.0 Copyright (C) 2014 Nuvoton Technology Corp. All rights reserved.

Definition in file usbd.c.

## Function Documentation

## ◆ USBD_GetDescriptor()

void USBD_GetDescriptor | ( | void |  | ) |

Get Descriptor request.

Parameters

  None |

Returns
  None

This function is used to process GetDescriptor request.

Definition at line 158 of file usbd.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## Variable Documentation

## ◆ g_u32EpStallLock

uint32_t g_u32EpStallLock = 0

Bit map flag to lock specified EP when SET_FEATURE

Definition at line 45 of file usbd.c.

## ◆ g_usbd_pfnClassRequest

CLASS_REQ g_usbd_pfnClassRequest = NULL

Definition at line 42 of file usbd.c.

## ◆ g_usbd_pfnSetConfigCallback

SET_CONFIG_CB g_usbd_pfnSetConfigCallback = NULL

USB Set configuration callback function pointer

Definition at line 44 of file usbd.c.

## ◆ g_usbd_pfnSetInterface

SET_INTERFACE_REQ g_usbd_pfnSetInterface = NULL

Definition at line 43 of file usbd.c.

## ◆ g_usbd_pfnVendorRequest

VENDOR_REQ g_usbd_pfnVendorRequest = NULL

Definition at line 41 of file usbd.c.

## ◆ g_usbd_SetupPacket

uint8_t g_usbd_SetupPacket[8] = {0}

<Includes

Definition at line 18 of file usbd.c.

## ◆ g_usbd_sInfo

S_USBD_INFO_T* g_usbd_sInfo

Definition at line 39 of file usbd.c.